GNU Radio 2.x: gr_fir_fcc_simd Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_fir_fcc_simd Class Reference

`#include <gr_fir_fcc_simd.h>`

Inheritance diagram for gr_fir_fcc_simd:

[legend]
Collaboration diagram for gr_fir_fcc_simd:

[legend]
List of all members.

## Detailed Description

common base class for SIMD versions of gr_fir_fcc

This base class handles alignment issues common to SSE and 3DNOW subclasses.

## Public Member Functions
| gr_fir_fcc_simd ()
| gr_fir_fcc_simd (const std::vector< gr_complex > &taps)
| ~gr_fir_fcc_simd ()
virtual void | set_taps (const std::vector< gr_complex > &taps)
| install `new_taps` as the current taps.
virtual gr_complex | filter (const float input[])
| compute a single output value.
## Protected Types
typedef void(* | fcomplex_dotprod_t )(const float *input, const float *taps, unsigned n_2_complex_blocks, float *result)
## Protected Attributes
float * | d_aligned_taps [4]
fcomplex_dotprod_t | d_fcomplex_dotprod

## Member Typedef Documentation

typedef void(* gr_fir_fcc_simd::fcomplex_dotprod_t)(const float *input, const float *taps, unsigned n_2_complex_blocks, float *result)`[protected]`

## Constructor & Destructor Documentation

gr_fir_fcc_simd::gr_fir_fcc_simd | ( |  | ) |

gr_fir_fcc_simd::gr_fir_fcc_simd | ( | const std::vector< gr_complex > & | taps | ) |

gr_fir_fcc_simd::~gr_fir_fcc_simd | ( |  | ) |

## Member Function Documentation

gr_complex gr_fir_fcc_simd::filter | ( | const float | input[] | ) | `[virtual]`

| compute a single output value. `input` must have ntaps() valid entries. input[0] .. input[ntaps() - 1] are referenced to compute the output value. Returns: the filtered input value. Reimplemented from gr_fir_fcc_generic.

void gr_fir_fcc_simd::set_taps | ( | const std::vector< gr_complex > & | inew_taps | ) | `[virtual]`

| install `new_taps` as the current taps. Reimplemented from gr_fir_fcc.

## Member Data Documentation

float* gr_fir_fcc_simd::d_aligned_taps[4]`[protected]`

| `aligned_taps` holds 4 copies of the coefficients preshifted by 0, 1, 2, or 3 float pairs to meet all possible input data alignments. This allows us to always fetch data and taps that are 128-bit aligned.

fcomplex_dotprod_t gr_fir_fcc_simd::d_fcomplex_dotprod`[protected]`

The documentation for this class was generated from the following files:

- gr_fir_fcc_simd.h
- gr_fir_fcc_simd.cc